# Uses of Enum Class
com.google.protobuf.Field.Cardinality

Packages that use Field.Cardinality
Package
Description
com.google.protobuf

## Uses of Field.Cardinality in com.google.protobuf

Methods in com.google.protobuf that return Field.Cardinality
Modifier and Type
Method
Description
`static Field.Cardinality`
Field.Cardinality.`forNumber(int value)`
`Field.Cardinality`
Field.Builder.`getCardinality()`
`.google.protobuf.Field.Cardinality cardinality = 2 [json_name = "cardinality"];`
`Field.Cardinality`
Field.`getCardinality()`
`.google.protobuf.Field.Cardinality cardinality = 2 [json_name = "cardinality"];`
`Field.Cardinality`
FieldOrBuilder.`getCardinality()`
`.google.protobuf.Field.Cardinality cardinality = 2 [json_name = "cardinality"];`
`static Field.Cardinality`
Field.Cardinality.`valueOf(int value)`
Deprecated.
`static Field.Cardinality`
Field.Cardinality.`valueOf(Descriptors.EnumValueDescriptor desc)`
Returns the enum constant of this class with the specified name.
`static Field.Cardinality`
Field.Cardinality.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Field.Cardinality[]`
Field.Cardinality.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in com.google.protobuf that return types with arguments of type Field.Cardinality
Modifier and Type
Method
Description
`static Internal.EnumLiteMap<Field.Cardinality>`
Field.Cardinality.`internalGetValueMap()`
Methods in com.google.protobuf with parameters of type Field.Cardinality
Modifier and Type
Method
Description
`Field.Builder`
Field.Builder.`setCardinality(Field.Cardinality value)`
`.google.protobuf.Field.Cardinality cardinality = 2 [json_name = "cardinality"];`